ClarisDrawGraphInternal::ZoneShape Struct Referencefinal

Internal: small class to store a basic graphic zone of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::ZoneShape:

## Public Member Functions
| ZoneShape (Zone const &z, Type type)
| constructor
| ~ZoneShape () final
| destructor
void | print (std::ostream &o) const final
| print the data
Type | getType () const final
| return the main type
Type | getSubType () const final
| return the sub type
int | getNumData () const final
| return the number of data
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone
Public Member Functions inherited from ClarisDrawGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual int | getZoneId () const
| returns the id of the reference zone

## Public Attributes
Type | m_type
| the sub type
MWAWGraphicShape | m_shape
| the shape
bool | m_autosize
| true if autosize is set
Public Attributes inherited from ClarisDrawGraphInternal::Zone
int | m_zoneType
| the zone type
int | m_flag
| the zone main flag
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Additional Inherited Members
Public Types inherited from ClarisDrawGraphInternal::Zone
enum | Type { T_Zone , T_Pict , T_Shape , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Connector }
| the list of types More...

## Detailed Description

Internal: small class to store a basic graphic zone of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ ZoneShape()

ClarisDrawGraphInternal::ZoneShape::ZoneShape | ( | Zone const & | z,
|  | Type | type )
| inline

constructor

## ◆ ~ZoneShape()

ClarisDrawGraphInternal::ZoneShape::~ZoneShape | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getChild()

ClarisWksStruct::DSET::Child ClarisDrawGraphInternal::ZoneShape::getChild | ( |  | ) | const
| inline final virtual

return a child corresponding to this zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getNumData()

int ClarisDrawGraphInternal::ZoneShape::getNumData | ( |  | ) | const
| inline final virtual

return the number of data

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getSubType()

Type ClarisDrawGraphInternal::ZoneShape::getSubType | ( |  | ) | const
| inline final virtual

return the sub type

Reimplemented from ClarisDrawGraphInternal::Zone.

Referenced by ClarisDrawGraph::readShape().

## ◆ getType()

Type ClarisDrawGraphInternal::ZoneShape::getType | ( |  | ) | const
| inline final virtual

return the main type

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ print()

void ClarisDrawGraphInternal::ZoneShape::print | ( | std::ostream & | o | ) | const
| inline final virtual

print the data

Reimplemented from ClarisDrawGraphInternal::Zone.

Referenced by print().

## Member Data Documentation

## ◆ m_autosize

bool ClarisDrawGraphInternal::ZoneShape::m_autosize

true if autosize is set

Referenced by print(), ClarisDrawGraph::readShape(), ClarisDrawGraph::sendShape(), and ZoneShape().

## ◆ m_shape

MWAWGraphicShape ClarisDrawGraphInternal::ZoneShape::m_shape

the shape

Referenced by print(), ClarisDrawGraph::readShape(), ClarisDrawGraph::sendShape(), and ZoneShape().

## ◆ m_type

Type ClarisDrawGraphInternal::ZoneShape::m_type

the sub type

Referenced by getNumData(), getSubType(), and ZoneShape().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx